Announcement

Collapse
No announcement yet.

Installing Wine . . . "C compiler cannot create executables"

Collapse
This topic is closed.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Installing Wine . . . "C compiler cannot create executables"

    I am trying to install the newest version of Wine to run e-Sword on my system (it runs from the Wine in my repos, but doesn't display any text, so I want to try the newest version). Whenever I try to run the installer, it tells me "C compiler cannot create executables"; I have the build-essential package installed, as well as all the gcc packages. Can anybody help me with this? The config.log is below:

    This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.

    It was created by Wine configure 0.9.46, which was
    generated by GNU Autoconf 2.61. Invocation command line was

    $ ./configure -C --prefix=/usr/local

    ## --------- ##
    ## Platform. ##
    ## --------- ##

    hostname = integr8e-desktop
    uname -m = x86_64
    uname -r = 2.6.22-12-generic
    uname -s = Linux
    uname -v = #1 SMP Sun Sep 23 20:03:18 GMT 2007

    /usr/bin/uname -p = unknown
    /bin/uname -X = unknown

    /bin/arch = unknown
    /usr/bin/arch -k = unknown
    /usr/convex/getsysinfo = unknown
    /usr/bin/hostinfo = unknown
    /bin/machine = unknown
    /usr/bin/oslevel = unknown
    /bin/universe = unknown

    PATH: /usr/local/sbin
    PATH: /usr/local/bin
    PATH: /usr/sbin
    PATH: /usr/bin
    PATH: /sbin
    PATH: /bin
    PATH: /usr/games


    ## ----------- ##
    ## Core tests. ##
    ## ----------- ##

    configure:1736: creating cache config.cache
    configure:1887: checking build system type
    configure:1905: result: x86_64-unknown-linux-gnu
    configure:1927: checking host system type
    configure:1942: result: x86_64-unknown-linux-gnu
    configure:2008: checking whether make sets $(MAKE)
    configure:2029: result: yes
    configure:2086: checking for gcc
    configure:2113: result: gcc -m32
    configure:2351: checking for C compiler version
    configure:2358: gcc -m32 --version >&5
    gcc (GCC) 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2)
    Copyright (C) 2006 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions. There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    configure:2361: $? = 0
    configure:2368: gcc -m32 -v >&5
    Using built-in specs.
    Target: x86_64-linux-gnu
    Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.1.3 --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --enable-checking=release x86_64-linux-gnu
    Thread model: posix
    gcc version 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2)
    configure:2371: $? = 0
    configure:2378: gcc -m32 -V >&5
    gcc: '-V' must come at the start of the command line
    configure:2381: $? = 1
    configure:2404: checking for C compiler default output file name
    configure:2431: gcc -m32 conftest.c >&5
    /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.1.3/libgcc.a when searching for -lgcc
    /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.1.3/libgcc.a when searching for -lgcc
    /usr/bin/ld: cannot find -lgcc
    collect2: ld returned 1 exit status
    configure:2434: $? = 1
    configure:2472: result:
    configure: failed program was:
    | /* confdefs.h. */
    | #define PACKAGE_NAME "Wine"
    | #define PACKAGE_TARNAME "wine"
    | #define PACKAGE_VERSION "0.9.46"
    | #define PACKAGE_STRING "Wine 0.9.46"
    | #define PACKAGE_BUGREPORT "wine-devel@winehq.org"
    | /* end confdefs.h. */
    |
    | int
    | main ()
    | {
    |
    | ;
    | return 0;
    | }
    configure:2479: error: C compiler cannot create executables
    See `config.log' for more details.

    ## ---------------- ##
    ## Cache variables. ##
    ## ---------------- ##

    ac_cv_build=x86_64-unknown-linux-gnu
    ac_cv_env_CCC_set=
    ac_cv_env_CCC_value=
    ac_cv_env_CC_set=
    ac_cv_env_CC_value=
    ac_cv_env_CFLAGS_set=
    ac_cv_env_CFLAGS_value=
    ac_cv_env_CPPFLAGS_set=
    ac_cv_env_CPPFLAGS_value=
    ac_cv_env_CPP_set=
    ac_cv_env_CPP_value=
    ac_cv_env_CXXFLAGS_set=
    ac_cv_env_CXXFLAGS_value=
    ac_cv_env_CXX_set=
    ac_cv_env_CXX_value=
    ac_cv_env_LDFLAGS_set=
    ac_cv_env_LDFLAGS_value=
    ac_cv_env_LIBS_set=
    ac_cv_env_LIBS_value=
    ac_cv_env_XMKMF_set=
    ac_cv_env_XMKMF_value=
    ac_cv_env_build_alias_set=
    ac_cv_env_build_alias_value=
    ac_cv_env_host_alias_set=
    ac_cv_env_host_alias_value=
    ac_cv_env_target_alias_set=
    ac_cv_env_target_alias_value=
    ac_cv_host=x86_64-unknown-linux-gnu
    ac_cv_prog_ac_ct_CC='gcc -m32'
    ac_cv_prog_make_make_set=yes

    ## ----------------- ##
    ## Output variables. ##
    ## ----------------- ##

    ALSALIBS=''
    AR=''
    AS='as --32'
    AUDIOIOLIBS=''
    BISON=''
    BUILTINFLAG=''
    CARBONLIB=''
    CC='gcc -m32'
    CFLAGS=''
    COREAUDIO=''
    COREFOUNDATIONLIB=''
    CPP=''
    CPPBIN=''
    CPPFLAGS=''
    CROSSCC=''
    CROSSTEST=''
    CROSSWINDRES=''
    CRTLIBS=''
    CXX='g++ -m32'
    CXXFLAGS=''
    DEFS=''
    DEPENDENCIES=''
    DISKARBITRATIONLIB=''
    DLLEXT=''
    DLLFLAGS=''
    DLLTOOL=''
    DLLWRAP=''
    ECHO_C=''
    ECHO_N='-n'
    ECHO_T=''
    EGREP=''
    ESDCONFIG=''
    ESDINCL=''
    ESDLIBS=''
    EXEEXT=''
    EXTRACFLAGS=''
    EXTRA_BINARIES=''
    FLEX=''
    FONTFORGE=''
    FONTSSUBDIRS=''
    FREETYPEINCL=''
    FREETYPELIBS=''
    GLU32FILES=''
    GPHOTO2INCL=''
    GPHOTO2LIBS=''
    GREP=''
    HALINCL=''
    IMPLIBEXT=''
    INSTALL_DATA=''
    INSTALL_PROGRAM=''
    INSTALL_SCRIPT=''
    IOKITLIB=''
    LCMSLIBS=''
    LD='ld -m elf_i386'
    LDAPLIBS=''
    LDCONFIG=''
    LDD=''
    LDDLLFLAGS=''
    LDEXECFLAGS=''
    LDFLAGS=''
    LDPATH=''
    LDRPATH_INSTALL=''
    LDRPATH_LOCAL=''
    LDSHARED=''
    LIBDL=''
    LIBEXT=''
    LIBOBJS=''
    LIBPOLL=''
    LIBPTHREAD=''
    LIBS=''
    LINT=''
    LINTFLAGS=''
    LN=''
    LN_S=''
    LTLIBOBJS=''
    MAIN_BINARY=''
    MINGWAR=''
    NASLIBS=''
    OBJEXT=''
    OPENGLFILES=''
    OPENGL_LIBS=''
    PACKAGE_BUGREPORT='wine-devel@winehq.org'
    PACKAGE_NAME='Wine'
    PACKAGE_STRING='Wine 0.9.46'
    PACKAGE_TARNAME='wine'
    PACKAGE_VERSION='0.9.46'
    PATH_SEPARATOR=':'
    PKG_CONFIG=''
    PRELINK=''
    QUARTZFILES=''
    RANLIB=''
    RESOLVLIBS=''
    SANEINCL=''
    SET_MAKE=''
    SHELL='/bin/bash'
    SOCKETLIBS=''
    STRIP=''
    TOOLSDIR=''
    WIN16_FILES='$(WIN16_FILES)'
    WIN16_INSTALL='$(WIN16_INSTALL)'
    WINDRES=''
    XFILES=''
    XLIB=''
    XMKMF=''
    XML2INCL=''
    XML2LIBS=''
    XSLTINCL=''
    XSLTLIBS=''
    X_CFLAGS=''
    X_EXTRA_LIBS=''
    X_LIBS=''
    X_PRE_LIBS=''
    ac_ct_AS=''
    ac_ct_CC='gcc -m32'
    ac_ct_CXX=''
    bindir='${exec_prefix}/bin'
    build='x86_64-unknown-linux-gnu'
    build_alias=''
    build_cpu='x86_64'
    build_os='linux-gnu'
    build_vendor='unknown'
    datadir='${datarootdir}'
    datarootdir='${prefix}/share'
    docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
    dvidir='${docdir}'
    exec_prefix='NONE'
    ft_devel=''
    gphoto2_devel=''
    gphoto2port_devel=''
    host='x86_64-unknown-linux-gnu'
    host_alias=''
    host_cpu='i386'
    host_os='linux-gnu'
    host_vendor='unknown'
    htmldir='${docdir}'
    includedir='${prefix}/include'
    infodir='${datarootdir}/info'
    libdir='${exec_prefix}/lib'
    libexecdir='${exec_prefix}/libexec'
    localedir='${datarootdir}/locale'
    localstatedir='${prefix}/var'
    mandir='${datarootdir}/man'
    oldincludedir='/usr/include'
    pdfdir='${docdir}'
    prefix='/usr/local'
    program_transform_name='s,x,x,'
    psdir='${docdir}'
    sane_devel=''
    sbindir='${exec_prefix}/sbin'
    sharedstatedir='${prefix}/com'
    sysconfdir='${prefix}/etc'
    target_alias=''

    ## ------------------- ##
    ## File substitutions. ##
    ## ------------------- ##

    MAKE_DLL_RULES=''
    MAKE_IMPLIB_RULES=''
    MAKE_PROG_RULES=''
    MAKE_RULES=''
    MAKE_TEST_RULES=''

    ## ----------- ##
    ## confdefs.h. ##
    ## ----------- ##

    #define PACKAGE_NAME "Wine"
    #define PACKAGE_TARNAME "wine"
    #define PACKAGE_VERSION "0.9.46"
    #define PACKAGE_STRING "Wine 0.9.46"
    #define PACKAGE_BUGREPORT "wine-devel@winehq.org"

    configure: exit 77
    Asus G1S-X3:
    Intel Core2 Duo T7500, Nvidia GeForce 8600M GT, 4Gb PC2-5300, 320Gb Hitachi 7k320, Linux ( )

    #2
    Re: Installing Wine . . . "C compiler cannot create executables"

    You're sure that's config.log?
    That mentions looking at config.log, and provides no help except that configure exited with status 77.
    For external use only.

    Comment


      #3
      Re: Installing Wine . . . "C compiler cannot create executables"

      It's the file in the directory entitled "config.log"; if it's not, I'm sure what it would be. Any ideas?
      Asus G1S-X3:
      Intel Core2 Duo T7500, Nvidia GeForce 8600M GT, 4Gb PC2-5300, 320Gb Hitachi 7k320, Linux ( )

      Comment


        #4
        Re: Installing Wine . . . "C compiler cannot create executables"

        Well, it's probably the right log, so let's just go on what little it gave us. From configure, could you post line 2479 and the surrounding bit of code?

        Or, search configure for "exit 77".
        For external use only.

        Comment


          #5
          Re: Installing Wine . . . "C compiler cannot create executables"

          Here you go, if it's not enough, let me know (lines 2478-2483 are in bold):

          # Provide some information about the compiler.
          echo "$as_me:$LINENO: checking for C compiler version" >&5
          ac_compiler=`set X $ac_compile; echo $2`
          { (ac_try="$ac_compiler --version >&5"
          case "(($ac_try" in
          *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
          *) ac_try_echo=$ac_try;;
          esac
          eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
          (eval "$ac_compiler --version >&5") 2>&5
          ac_status=$?
          echo "$as_me:$LINENO: \$? = $ac_status" >&5
          (exit $ac_status); }
          { (ac_try="$ac_compiler -v >&5"
          case "(($ac_try" in
          *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
          *) ac_try_echo=$ac_try;;
          esac
          eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
          (eval "$ac_compiler -v >&5") 2>&5
          ac_status=$?
          echo "$as_me:$LINENO: \$? = $ac_status" >&5
          (exit $ac_status); }
          { (ac_try="$ac_compiler -V >&5"
          case "(($ac_try" in
          *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
          *) ac_try_echo=$ac_try;;
          esac
          eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
          (eval "$ac_compiler -V >&5") 2>&5
          ac_status=$?
          echo "$as_me:$LINENO: \$? = $ac_status" >&5
          (exit $ac_status); }

          cat >conftest.$ac_ext <<_ACEOF
          /* confdefs.h. */
          _ACEOF
          cat confdefs.h >>conftest.$ac_ext
          cat >>conftest.$ac_ext <<_ACEOF
          /* end confdefs.h. */

          int
          main ()
          {

          ;
          return 0;
          }
          _ACEOF
          ac_clean_files_save=$ac_clean_files
          ac_clean_files="$ac_clean_files a.out a.exe b.out"
          # Try to create an executable without -o first, disregard a.out.
          # It will help us diagnose broken compilers, and finding out an intuition
          # of exeext.
          { echo "$as_me:$LINENO: checking for C compiler default output file name" >&5
          echo $ECHO_N "checking for C compiler default output file name... $ECHO_C" >&6; }
          ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
          #
          # List of possible output files, starting from the most likely.
          # The algorithm is not robust to junk in `.', hence go to wildcards (a.*)
          # only as a last resort. b.out is created by i960 compilers.
          ac_files='a_out.exe a.exe conftest.exe a.out conftest a.* conftest.* b.out'
          #
          # The IRIX 6 linker writes into existing files which may not be
          # executable, retaining their permissions. Remove them first so a
          # subsequent execution test works.
          ac_rmfiles=
          for ac_file in $ac_files
          do
          case $ac_file in
          *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.o | *.obj ) ;;
          * ) ac_rmfiles="$ac_rmfiles $ac_file";;
          esac
          done
          rm -f $ac_rmfiles

          if { (ac_try="$ac_link_default"
          case "(($ac_try" in
          *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
          *) ac_try_echo=$ac_try;;
          esac
          eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
          (eval "$ac_link_default") 2>&5
          ac_status=$?
          echo "$as_me:$LINENO: \$? = $ac_status" >&5
          (exit $ac_status); }; then
          # Autoconf-2.13 could set the ac_cv_exeext variable to `no'.
          # So ignore a value of `no', otherwise this would lead to `EXEEXT = no'
          # in a Makefile. We should not override ac_cv_exeext if it was cached,
          # so that the user can short-circuit this test for compilers unknown to
          # Autoconf.
          for ac_file in $ac_files ''
          do
          test -f "$ac_file" || continue
          case $ac_file in
          *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.o | *.obj )
          ;;
          [ab].out )
          # We found the default executable, but exeext='' is most
          # certainly right.
          break;;
          *.* )
          if test "${ac_cv_exeext+set}" = set && test "$ac_cv_exeext" != no;
          then :; else
          ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
          fi
          # We set ac_cv_exeext here because the later test for it is not
          # safe: cross compilers may not add the suffix if given an `-o'
          # argument, so we may need to know it at that point already.
          # Even if this section looks crufty: it has the advantage of
          # actually working.
          break;;
          * )
          break;;
          esac
          done
          test "$ac_cv_exeext" = no && ac_cv_exeext=

          else
          ac_file=''
          fi

          { echo "$as_me:$LINENO: result: $ac_file" >&5
          echo "${ECHO_T}$ac_file" >&6; }
          if test -z "$ac_file"; then
          echo "$as_me: failed program was:" >&5
          sed 's/^/| /' conftest.$ac_ext >&5

          { { echo "$as_me:$LINENO: error: C compiler cannot create executables
          See \`config.log' for more details." >&5
          echo "$as_me: error: C compiler cannot create executables
          See \`config.log' for more details." >&2;}
          { (exit 77); exit 77; }; }
          fi


          ac_exeext=$ac_cv_exeext

          # Check that the compiler produces executables we can run. If not, either
          # the compiler is broken, or we cross compile.
          { echo "$as_me:$LINENO: checking whether the C compiler works" >&5
          echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6; }
          # FIXME: These cross compiler hacks should be removed for Autoconf 3.0
          # If not cross compiling, check that we can run a simple program.
          if test "$cross_compiling" != yes; then
          if { ac_try='./$ac_file'
          { (case "(($ac_try" in
          *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
          *) ac_try_echo=$ac_try;;
          esac
          eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
          (eval "$ac_try") 2>&5
          ac_status=$?
          echo "$as_me:$LINENO: \$? = $ac_status" >&5
          (exit $ac_status); }; }; then
          cross_compiling=no
          else
          if test "$cross_compiling" = maybe; then
          cross_compiling=yes
          else
          { { echo "$as_me:$LINENO: error: cannot run C compiled programs.
          If you meant to cross compile, use \`--host'.
          See \`config.log' for more details." >&5
          echo "$as_me: error: cannot run C compiled programs.
          If you meant to cross compile, use \`--host'.
          See \`config.log' for more details." >&2;}
          { (exit 1); exit 1; }; }
          fi
          fi
          fi
          { echo "$as_me:$LINENO: result: yes" >&5
          echo "${ECHO_T}yes" >&6; }

          rm -f a.out a.exe conftest$ac_cv_exeext b.out
          ac_clean_files=$ac_clean_files_save
          # Check that the compiler produces executables we can run. If not, either
          # the compiler is broken, or we cross compile.
          { echo "$as_me:$LINENO: checking whether we are cross compiling" >&5
          echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6; }
          { echo "$as_me:$LINENO: result: $cross_compiling" >&5
          echo "${ECHO_T}$cross_compiling" >&6; }

          { echo "$as_me:$LINENO: checking for suffix of executables" >&5
          echo $ECHO_N "checking for suffix of executables... $ECHO_C" >&6; }
          if { (ac_try="$ac_link"
          case "(($ac_try" in
          *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
          *) ac_try_echo=$ac_try;;
          esac
          eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
          (eval "$ac_link") 2>&5
          ac_status=$?
          echo "$as_me:$LINENO: \$? = $ac_status" >&5
          (exit $ac_status); }; then
          # If both `conftest.exe' and `conftest' are `present' (well, observable)
          # catch `conftest.exe'. For instance with Cygwin, `ls conftest' will
          # work properly (i.e., refer to `conftest.exe'), while it won't with
          # `rm'.
          for ac_file in conftest.exe conftest conftest.*; do
          test -f "$ac_file" || continue
          case $ac_file in
          *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.o | *.obj ) ;;
          *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
          break;;
          * ) break;;
          esac
          done
          Asus G1S-X3:
          Intel Core2 Duo T7500, Nvidia GeForce 8600M GT, 4Gb PC2-5300, 320Gb Hitachi 7k320, Linux ( )

          Comment

          Working...
          X